import Foundation
import App

abbrev = 'Aurora'
iconName = 'Aurora'
longName = 'S.S. Aurora'
shipFile = 'Aurora' 
menuGroup = 'Aurora Trek'
playerMenuGroup = 'Aurora Trek'
species = App.SPECIES_GALAXY

Foundation.ShipDef.Aurora = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
Foundation.ShipDef.Aurora.fMaxWarp = 6.0
Foundation.ShipDef.Aurora.fCruiseWarp = 4.8
Foundation.ShipDef.Aurora.fWarpEntryDelayTime = 2.0

Foundation.ShipDef.Aurora.desc = "After the bloodshed of the Romulan Earth War three Monitor Class Gunships were mothballed at Deneva Colony due to the extreme difficulty in refitting them for duties within the United Federation Of Planets. Regarded as unfit for Federation duties the three ships were stripped of major components and had their weapons systems removed, then mothballed in a Shipyard. For some 100 years the three Monitor Class hulls languished until a former Federation citizen by the name of Kara Carpenter came across the hulls. The young Kara Carpenter having spent the majority of her life in and around space saw great potential in such a heavily armoured hull. Having lived at Deneva Station with her Aunt for many years during her schooling, she began trading her labour and repair skills for the useless hull of U.S.S. Monitor XGS-01 as well as spare parts. Over several years she worked on her ship in her spare time, adding new components, replacing old and outdated systems, re-building the ship from scratch.\n\nAfter several years of hard work, Kara had almost finished her ship which she had named Aurora after the ship her unconfirmed ancestor (Scott Carpenter) flew named Aurora 7. Kara had the Goddess of the Dawn, Aurora painted on the hull with a crescent moon as her brow. After Aurora had been refitted enough for use, Kara had Aurora transported aboard a large bulk freighter to Xaneerian Space due to the distance being too far for Aurora to travel alone, coincidentally the same way the Monitor Class was deployed. Kara worked as a Satellite Repair Technician for her first year repairing satellites around the Xaneerian system and just inside the Thundercloud Nebula. Though this was interesting work Kara felt it was too lonely even though she herself was a loner. It was there she inadvertently discovered the many safe holes where a starship could traverse. Realising that with the Aurora being so heavily armoured against radiation, with a proper navigator she could traverse the dangerous Thundercloud Nebula. After a few weeks of advertising she managed to hire a Vulcan by the name of TLing who had just arrived in the region. There the Aurora Gals as they became known, quickly became well known cargo haulers and had attracted competition in the from of the crew from the S.S. Lone Star as well as several other ships by consistently outrunning them to their destinations throughout Xaneerian Space."

if menuGroup:           Foundation.ShipDef.Aurora.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Aurora.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


